#ifndef INGAME_H
#define INGAME_H

#include "twn_game_api.h"

#include "../state.h"
#include "scene.h"

#include <stdbool.h>


typedef struct SceneIngame {
    Scene base;

    Vec3 looking_direction;
    Vec2 world_center;

    Vec3 pos;
    float yaw;
    float pitch;
    float roll;

    bool mouse_captured;
    int camera_mode;
} SceneIngame;


Scene *ingame_scene(State *state);


#endif
